#header {
    padding: 20px 0;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;

    @include media(">=tablet") {
        padding: 60px 0;
    }

    .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .logo {
        width: 170px;
        padding-right: 30px;

        @include media(">=desktop") {
            width: 211px;
        }
    }
}

.navigation {
    @include media(">=tablet") {
        width: calc(100% - 170px);
        display: flex;
        justify-content: flex-end;
    }
    @include media(">=desktop") {
        width: calc(100% - 211px);
    }
}

.menu {
    @extend %listreset;
    @include animate(opacity     visibility);

    background: #282322;
    background-repeat: repeat-y;
	width: 100%;
	position: absolute;
    top: 0;
    right: 0;
    height: 0;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    padding: 50px 0; 

    .nav-active & {
        opacity: 1;
        visibility: visible;
        height: auto;
    }
    
    @include media(">=tablet") {
        background: none;
        width: auto;
        margin: 0 -21px;
        align-items: center;
        display: flex;
        flex-wrap: wrap;
		position: static;
		height: auto;
        opacity: 1;
        visibility: visible;
        border: none;
        padding: 0;
    }

    li {
        padding: 20px 0;
        
        @include media(">=tablet") {
            padding: 0 21px;
        }

        a {
            @include animate(color);
            
            text-decoration: none;
            position: relative;
            color: #cdcdcd;
            padding-bottom: 8px;

            @include media(">=tablet") {
                letter-spacing: -.3px;
            }

            &:after {
                @include animate(background);

                content: '';
                position: absolute;
                bottom: 0;
                width: 100%;
                height: 3px;
                left: 0;
                border-radius: 1px;
            }

            &:hover {
                color: $white;

                &:after {
                    background-color: #f1cdb3;
                }
            }
        }

        &.active {
            a {
                color: $white;
                
                &:after {
                    content: '';
                    position: absolute;
                    bottom: 0;
                    width: 100%;
                    height: 3px;
                    left: 0;
                    border-radius: 1px;
                    background-color: #f1cdb3;
                }
            }
        }
    }
}

.nav-opener {
	display: inline-block;
	vertical-align: top;
	width: 40px;
	height: 40px;
	position: relative;

	@include media(">=tablet") {
		display: none;
	}

	&:before,
	&:after,
	span {
		@include animate(all);

		background: $white;
		border-radius: 4px;
		position: absolute;
		top: 17px;
		left: 15%;
		right: 15%;
		height: 3px;
	}

	&:before,
	&:after {
		content: "";
		top: 10px;
	}

	&:after {
		top: 24px;
	}

	.nav-active & {

		&:before,
		&:after {
			top: 20px;
			transform: rotate(45deg);
			top: 16px;
		}

		&:after {
			transform: rotate(-45deg);
		}

		span {
			opacity: 0;
		}
	}
}

